<?php

namespace App\Database\Seeds;

use CodeIgniter\Database\Seeder;

class AnggotaSeeder extends Seeder
{
    public function run(){
        $data = [
            [
                'nokartu'   => '1363243735',
                'nokta'   => '111',
                'norfid'   => '222',
                'reganggota'   => '9988772023',
                'kdkartu'   => '333',
                'kdtagih'   => '444',
                'nik'   => '112233456',
                'nama'   => 'Agus Ruswan Darajat',
                'seks'   => '1',
                'tmplahir'   => 'Surabaya',
                'tgllahir'   => '1989-02-20',
                'alamat'   => 'Kebayoran Baru',
                'kota'   => 'Jakarta',
                'divisi'   => '2',
                'golongan'   => '2',
                'bagian'   => '1',
                'tglmasuk'   => '2018-07-19',
                'tglkeluar' => null,
                'tglubah' => null,
                'ubahke' => null,
                'maxlimit'   => '350000',
                'maxmlg'   => '900000',
                'maxkredit'   => '2500000',
                'kdstatus'  => 1,
                'kdkerja'   => null,
                'kdanggota'   => null,
                'blokir'   => 'N',
                'handphone'   => '08123456789',
                'ktp'   => '3509202002890002',
                'idbank'   => '1',
                'rekening'   => '7654321234',
                'nmrekening'   => 'BCA',
                'pathphoto'   => '/foto/1673968253_00bb5c66d0b551a5df9c.jpg',
                'email'   => 'sudarsono@mail.com',
                'gapok'   => '5000000',
                'paguksp'   => '100',
                'pagutoko'   => '150',
                'pagumlg'   => '200',
                'jemputan'   => '230',
                'opid'   => '240',
            ],
            [
                'nokartu'   => '888999',
                'nokta'   => '222',
                'norfid'   => '333',
                'reganggota'   => '8899662023',
                'kdkartu'   => '444',
                'kdtagih'   => '555',
                'nik'   => '223344567',
                'nama'   => 'Santika Kurnia',
                'seks'   => '2',
                'tmplahir'   => 'Serang',
                'tgllahir'   => '1992-08-13',
                'alamat'   => 'Jalan S.Parman No 233',
                'kota'   => 'Tangeran Selatan',
                'divisi'   => '2',
                'golongan'   => '2',
                'bagian'   => '1',
                'tglmasuk'   => '2017-02-22',
                'tglkeluar' => null,
                'tglubah' => null,
                'ubahke' => null,
                'maxlimit'   => '350000',
                'maxmlg'   => '900000',
                'maxkredit'   => '2500000',
                'kdstatus'  => 1,
                'kdkerja'   => null,
                'kdanggota'   => null,
                'blokir'   => 'N',
                'handphone'   => '081123455561',
                'ktp'   => '3509201308920002',
                'idbank'   => '1',
                'rekening'   => '7567812341',
                'nmrekening'   => 'BCA',
                'pathphoto'   => '/foto/1673968253_00bb5c66d0b551a5df9c.jpg',
                'email'   => 'santika@mail.com',
                'gapok'   => '5000000',
                'paguksp'   => '100',
                'pagutoko'   => '150',
                'pagumlg'   => '200',
                'jemputan'   => '230',
                'opid'   => '240',
            ]
        ];
        $this->db->table('anggota')->insertBatch($data);
    }
}
